io.vertx.rxjava.core.net

## Class NetSocket

- java.lang.Object
- - io.vertx.rxjava.core.net.NetSocket

- All Implemented Interfaces:
    ReadStream<Buffer>, StreamBase, WriteStream<Buffer>

      public class NetSocket
      extends Object
      implements ReadStream<Buffer>, WriteStream<Buffer>

  Represents a socket-like interface to a TCP connection on either the client or the server side.

  Instances of this class are created on the client side by an `NetClient` when a connection to a server is made, or on the server side by a `NetServer` when a server accepts a connection.

  It implements both and so it can be used with `Pump` to pump data with flow control.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<NetSocket>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetSocket(NetSocket delegate)`
    `NetSocket(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the NetSocket
    `void` | `close(Handler<AsyncResult<Void>> handler)` Close the NetSocket and notify the `handler` when the operation completes.
    `NetSocket` | `closeHandler(Handler<Void> handler)` Set a handler that will be called when the NetSocket is closed
    `Observable<Void>` | `closeObservable()` Deprecated. use `rxClose()` instead
    `NetSocket` | `drainHandler(Handler<Void> handler)` Set a drain handler on the stream.
    `void` | `end()` Calls `close()`
    `void` | `end(Buffer data)` Same as `end(io.vertx.rxjava.core.buffer.Buffer)` but writes some data to the stream before ending.
    `void` | `end(Buffer data, Handler<AsyncResult<Void>> handler)` Same as but with an `handler` called when the operation completes
    `void` | `end(Handler<AsyncResult<Void>> handler)` Calls `end(io.vertx.rxjava.core.buffer.Buffer)`
    `NetSocket` | `endHandler(Handler<Void> endHandler)` This handler might be called after the close handler when the socket is paused and there are still buffers to deliver.
    `Observable<Void>` | `endObservable()` Deprecated. use `rxEnd(io.vertx.rxjava.core.buffer.Buffer)` instead
    `Observable<Void>` | `endObservable(Buffer data)` Deprecated. use `rxEnd(io.vertx.rxjava.core.buffer.Buffer)` instead
    `boolean` | `equals(Object o)`
    `NetSocket` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `NetSocket` | `fetch(long amount)` Fetch the specified `amount` of elements.
    `NetSocket` | `getDelegate()`
    `NetSocket` | `handler(Handler<Buffer> handler)` Set a data handler.
    `int` | `hashCode()`
    `String` | `indicatedServerName()` Returns the SNI server name presented during the SSL handshake by the client.
    `boolean` | `isSsl()`
    `SocketAddress` | `localAddress()`
    `static NetSocket` | `newInstance(NetSocket arg)`
    `NetSocket` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `Pipe<Buffer>` | `pipe()` Pause this stream and return a to transfer the elements of this stream to a destination .
    `void` | `pipeTo(WriteStream<Buffer> dst)` Like `ReadStream.pipeTo(io.vertx.rxjava.core.streams.WriteStream<T>)` but with no completion handler.
    `void` | `pipeTo(WriteStream<Buffer> dst, Handler<AsyncResult<Void>> handler)` Pipe this `ReadStream` to the `WriteStream`.
    `Observable<Void>` | `pipeToObservable(WriteStream<Buffer> dst)` Deprecated. use `rxPipeTo(io.vertx.rxjava.core.streams.WriteStream<io.vertx.rxjava.core.buffer.Buffer>)` instead
    `SocketAddress` | `remoteAddress()`
    `NetSocket` | `resume()` Resume reading, and sets the buffer in `flowing` mode.
    `Single<Void>` | `rxClose()` Close the NetSocket and notify the `handler` when the operation completes.
    `Single<Void>` | `rxEnd()` Calls `end(io.vertx.rxjava.core.buffer.Buffer)`
    `Single<Void>` | `rxEnd(Buffer data)` Same as but with an `handler` called when the operation completes
    `Single<Void>` | `rxPipeTo(WriteStream<Buffer> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `Single<Void>` | `rxSendFile(String filename)` Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
    `Single<Void>` | `rxSendFile(String filename, long offset)` Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
    `Single<Void>` | `rxSendFile(String filename, long offset, long length)` Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
    `Single<Void>` | `rxWrite(Buffer message)` Like but with an `handler` called when the message has been written or failed to be written.
    `Single<Void>` | `rxWrite(String str)` Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
    `Single<Void>` | `rxWrite(String str, String enc)` Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
    `NetSocket` | `sendFile(String filename)` Tell the operating system to stream a file as specified by `filename` directly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system.
    `NetSocket` | `sendFile(String filename, Handler<AsyncResult<Void>> resultHandler)` Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
    `NetSocket` | `sendFile(String filename, long offset)` Tell the operating system to stream a file as specified by `filename` directly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system.
    `NetSocket` | `sendFile(String filename, long offset, Handler<AsyncResult<Void>> resultHandler)` Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
    `NetSocket` | `sendFile(String filename, long offset, long length)` Tell the operating system to stream a file as specified by `filename` directly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system.
    `NetSocket` | `sendFile(String filename, long offset, long length, Handler<AsyncResult<Void>> resultHandler)` Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
    `Observable<Void>` | `sendFileObservable(String filename)` Deprecated. use `rxSendFile(java.lang.String)` instead
    `Observable<Void>` | `sendFileObservable(String filename, long offset)` Deprecated. use `rxSendFile(java.lang.String)` instead
    `Observable<Void>` | `sendFileObservable(String filename, long offset, long length)` Deprecated. use `rxSendFile(java.lang.String)` instead
    `NetSocket` | `setWriteQueueMaxSize(int maxSize)` Set the maximum size of the write queue to `maxSize`.
    `SSLSession` | `sslSession()`
    `Observable<Buffer>` | `toObservable()`
    `String` | `toString()`
    `io.vertx.rx.java.WriteStreamSubscriber<Buffer>` | `toSubscriber()`
    `NetSocket` | `upgradeToSsl(Handler<Void> handler)` Upgrade channel to use SSL/TLS.
    `NetSocket` | `upgradeToSsl(String serverName, Handler<Void> handler)` Upgrade channel to use SSL/TLS.
    `NetSocket` | `write(Buffer data)` Write some data to the stream.
    `NetSocket` | `write(Buffer message, Handler<AsyncResult<Void>> handler)` Like but with an `handler` called when the message has been written or failed to be written.
    `NetSocket` | `write(String str)` Write a `String` to the connection, encoded in UTF-8.
    `NetSocket` | `write(String str, Handler<AsyncResult<Void>> handler)` Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
    `NetSocket` | `write(String str, String enc)` Write a `String` to the connection, encoded using the encoding `enc`.
    `NetSocket` | `write(String str, String enc, Handler<AsyncResult<Void>> handler)` Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
    `String` | `writeHandlerID()` When a `NetSocket` is created it automatically registers an event handler with the event bus, the ID of that handler is given by `writeHandlerID`.
    `Observable<Void>` | `writeObservable(Buffer message)` Deprecated. use `rxWrite(java.lang.String)` instead
    `Observable<Void>` | `writeObservable(String str)` Deprecated. use `rxWrite(java.lang.String)` instead
    `Observable<Void>` | `writeObservable(String str, String enc)` Deprecated. use `rxWrite(java.lang.String)` instead
    `boolean` | `writeQueueFull()` This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.WriteStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<NetSocket> __TYPE_ARG

  - ### Constructor Detail

    - #### NetSocket

          public NetSocket(NetSocket delegate)

    - #### NetSocket

          public NetSocket(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public NetSocket getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<Buffer>`
      Specified by:
        `getDelegate` in interface `StreamBase`
      Specified by:
        `getDelegate` in interface `WriteStream<Buffer>`

    - #### toObservable

          public Observable<Buffer> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<Buffer>`

    - #### toSubscriber

          public io.vertx.rx.java.WriteStreamSubscriber<Buffer> toSubscriber()

    - #### end

          public void end(Buffer data)

      Same as `end(io.vertx.rxjava.core.buffer.Buffer)` but writes some data to the stream before ending.
      Specified by:
        `end` in interface `WriteStream<Buffer>`
      Parameters:
        `data` - the data to write

    - #### end

          public void end(Buffer data,
                          Handler<AsyncResult<Void>> handler)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `end` in interface `WriteStream<Buffer>`
      Parameters:
        `data` -
        `handler` -

    - #### endObservable

          @Deprecated
          public Observable<Void> endObservable(Buffer data)

      Deprecated. use `rxEnd(io.vertx.rxjava.core.buffer.Buffer)` instead
      Same as but with an `handler` called when the operation completes
      Parameters:
        `data` -
      Returns:

    - #### rxEnd

          public Single<Void> rxEnd(Buffer data)

      Same as but with an `handler` called when the operation completes
      Parameters:
        `data` -
      Returns:

    - #### writeQueueFull

          public boolean writeQueueFull()

      This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`
      Specified by:
        `writeQueueFull` in interface `WriteStream<Buffer>`
      Returns:
        true if write queue is full

    - #### pipe

          public Pipe<Buffer> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<Buffer>`
      Returns:
        a pipe

    - #### pipeTo

          public void pipeTo(WriteStream<Buffer> dst)

      Like `ReadStream.pipeTo(io.vertx.rxjava.core.streams.WriteStream<T>)` but with no completion handler.
      Specified by:
        `pipeTo` in interface `ReadStream<Buffer>`
      Parameters:
        `dst` -

    - #### pipeTo

          public void pipeTo(WriteStream<Buffer> dst,
                             Handler<AsyncResult<Void>> handler)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<Buffer>`
      Parameters:
        `dst` - the destination write stream
        `handler` -

    - #### pipeToObservable

          @Deprecated
          public Observable<Void> pipeToObservable(WriteStream<Buffer> dst)

      Deprecated. use `rxPipeTo(io.vertx.rxjava.core.streams.WriteStream<io.vertx.rxjava.core.buffer.Buffer>)` instead
      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Parameters:
        `dst` - the destination write stream
      Returns:

    - #### rxPipeTo

          public Single<Void> rxPipeTo(WriteStream<Buffer> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Parameters:
        `dst` - the destination write stream
      Returns:

    - #### exceptionHandler

          public NetSocket exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Buffer>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Specified by:
        `exceptionHandler` in interface `WriteStream<Buffer>`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public NetSocket handler(Handler<Buffer> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public NetSocket pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public NetSocket resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          public NetSocket fetch(long amount)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public NetSocket endHandler(Handler<Void> endHandler)

      This handler might be called after the close handler when the socket is paused and there are still buffers to deliver.

      Specified by:
        `endHandler` in interface `ReadStream<Buffer>`
      Parameters:
        `endHandler` -
      Returns:

    - #### write

          public NetSocket write(Buffer data)

      Description copied from interface: `WriteStream`
      Write some data to the stream. The data is put on an internal write queue, and the write actually happens asynchronously. To avoid running out of memory by putting too much on the write queue, check the `WriteStream.writeQueueFull()` method before writing. This is done automatically if using a `Pump`.
      Specified by:
        `write` in interface `WriteStream<Buffer>`
      Parameters:
        `data` - the data to write
      Returns:
        a reference to this, so the API can be used fluently

    - #### setWriteQueueMaxSize

          public NetSocket setWriteQueueMaxSize(int maxSize)

      Description copied from interface: `WriteStream`
      Set the maximum size of the write queue to `maxSize`. You will still be able to write to the stream even if there is more than `maxSize` items in the write queue. This is used as an indicator by classes such as `Pump` to provide flow control.

      The value is defined by the implementation of the stream, e.g in bytes for a `NetSocket`, the number of `Message` for a `MessageProducer`, etc...
      Specified by:
        `setWriteQueueMaxSize` in interface `WriteStream<Buffer>`
      Parameters:
        `maxSize` - the max size of the write stream
      Returns:
        a reference to this, so the API can be used fluently

    - #### drainHandler

          public NetSocket drainHandler(Handler<Void> handler)

      Description copied from interface: `WriteStream`
      Set a drain handler on the stream. If the write queue is full, then the handler will be called when the write queue is ready to accept buffers again. See `Pump` for an example of this being used.

      The stream implementation defines when the drain handler, for example it could be when the queue size has been reduced to `maxSize / 2`.
      Specified by:
        `drainHandler` in interface `WriteStream<Buffer>`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### writeHandlerID

          public String writeHandlerID()

      When a `NetSocket` is created it automatically registers an event handler with the event bus, the ID of that handler is given by `writeHandlerID`.

      Given this ID, a different event loop can send a buffer to that event handler using the event bus and that buffer will be received by this instance in its own event loop and written to the underlying connection. This allows you to write data to other connections which are owned by different event loops.

      Returns:
        the write handler ID

    - #### write

          public NetSocket write(String str,
                                 Handler<AsyncResult<Void>> handler)

      Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
      Parameters:
        `str` -
        `handler` -
      Returns:

    - #### writeObservable

          @Deprecated
          public Observable<Void> writeObservable(String str)

      Deprecated. use `rxWrite(java.lang.String)` instead
      Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
      Parameters:
        `str` -
      Returns:

    - #### rxWrite

          public Single<Void> rxWrite(String str)

      Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
      Parameters:
        `str` -
      Returns:

    - #### write

          public NetSocket write(String str)

      Write a `String` to the connection, encoded in UTF-8.
      Parameters:
        `str` - the string to write
      Returns:
        a reference to this, so the API can be used fluently

    - #### write

          public NetSocket write(String str,
                                 String enc,
                                 Handler<AsyncResult<Void>> handler)

      Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
      Parameters:
        `str` -
        `enc` -
        `handler` -
      Returns:

    - #### writeObservable

          @Deprecated
          public Observable<Void> writeObservable(String str,
                                                              String enc)

      Deprecated. use `rxWrite(java.lang.String)` instead
      Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
      Parameters:
        `str` -
        `enc` -
      Returns:

    - #### rxWrite

          public Single<Void> rxWrite(String str,
                                      String enc)

      Same as `write(io.vertx.rxjava.core.buffer.Buffer)` but with an `handler` called when the operation completes
      Parameters:
        `str` -
        `enc` -
      Returns:

    - #### write

          public NetSocket write(String str,
                                 String enc)

      Write a `String` to the connection, encoded using the encoding `enc`.
      Parameters:
        `str` - the string to write
        `enc` - the encoding to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### write

          public NetSocket write(Buffer message,
                                 Handler<AsyncResult<Void>> handler)

      Like but with an `handler` called when the message has been written or failed to be written.
      Specified by:
        `write` in interface `WriteStream<Buffer>`
      Parameters:
        `message` -
        `handler` -
      Returns:

    - #### writeObservable

          @Deprecated
          public Observable<Void> writeObservable(Buffer message)

      Deprecated. use `rxWrite(java.lang.String)` instead
      Like but with an `handler` called when the message has been written or failed to be written.
      Parameters:
        `message` -
      Returns:

    - #### rxWrite

          public Single<Void> rxWrite(Buffer message)

      Like but with an `handler` called when the message has been written or failed to be written.
      Parameters:
        `message` -
      Returns:

    - #### sendFile

          public NetSocket sendFile(String filename)

      Tell the operating system to stream a file as specified by `filename` directly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system. This is a very efficient way to stream files.
      Parameters:
        `filename` - file name of the file to send
      Returns:
        a reference to this, so the API can be used fluently

    - #### sendFile

          public NetSocket sendFile(String filename,
                                    long offset)

      Tell the operating system to stream a file as specified by `filename` directly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system. This is a very efficient way to stream files.
      Parameters:
        `filename` - file name of the file to send
        `offset` - offset
      Returns:
        a reference to this, so the API can be used fluently

    - #### sendFile

          public NetSocket sendFile(String filename,
                                    long offset,
                                    long length)

      Tell the operating system to stream a file as specified by `filename` directly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system. This is a very efficient way to stream files.
      Parameters:
        `filename` - file name of the file to send
        `offset` - offset
        `length` - length
      Returns:
        a reference to this, so the API can be used fluently

    - #### sendFile

          public NetSocket sendFile(String filename,
                                    Handler<AsyncResult<Void>> resultHandler)

      Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
      Parameters:
        `filename` - file name of the file to send
        `resultHandler` - handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### sendFileObservable

          @Deprecated
          public Observable<Void> sendFileObservable(String filename)

      Deprecated. use `rxSendFile(java.lang.String)` instead
      Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
      Parameters:
        `filename` - file name of the file to send
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxSendFile

          public Single<Void> rxSendFile(String filename)

      Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
      Parameters:
        `filename` - file name of the file to send
      Returns:
        a reference to this, so the API can be used fluently

    - #### sendFile

          public NetSocket sendFile(String filename,
                                    long offset,
                                    Handler<AsyncResult<Void>> resultHandler)

      Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
      Parameters:
        `filename` - file name of the file to send
        `offset` - offset
        `resultHandler` - handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### sendFileObservable

          @Deprecated
          public Observable<Void> sendFileObservable(String filename,
                                                                 long offset)

      Deprecated. use `rxSendFile(java.lang.String)` instead
      Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
      Parameters:
        `filename` - file name of the file to send
        `offset` - offset
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxSendFile

          public Single<Void> rxSendFile(String filename,
                                         long offset)

      Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
      Parameters:
        `filename` - file name of the file to send
        `offset` - offset
      Returns:
        a reference to this, so the API can be used fluently

    - #### sendFile

          public NetSocket sendFile(String filename,
                                    long offset,
                                    long length,
                                    Handler<AsyncResult<Void>> resultHandler)

      Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
      Parameters:
        `filename` - file name of the file to send
        `offset` - offset
        `length` - length
        `resultHandler` - handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### sendFileObservable

          @Deprecated
          public Observable<Void> sendFileObservable(String filename,
                                                                 long offset,
                                                                 long length)

      Deprecated. use `rxSendFile(java.lang.String)` instead
      Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
      Parameters:
        `filename` - file name of the file to send
        `offset` - offset
        `length` - length
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxSendFile

          public Single<Void> rxSendFile(String filename,
                                         long offset,
                                         long length)

      Same as `sendFile(java.lang.String)` but also takes a handler that will be called when the send has completed or a failure has occurred
      Parameters:
        `filename` - file name of the file to send
        `offset` - offset
        `length` - length
      Returns:
        a reference to this, so the API can be used fluently

    - #### remoteAddress

          public SocketAddress remoteAddress()

      Returns:
        the remote address for this connection, possibly `null` (e.g a server bound on a domain socket)

    - #### localAddress

          public SocketAddress localAddress()

      Returns:
        the local address for this connection, possibly `null` (e.g a server bound on a domain socket)

    - #### end

          public void end()

      Calls `close()`
      Specified by:
        `end` in interface `WriteStream<Buffer>`

    - #### end

          public void end(Handler<AsyncResult<Void>> handler)

      Calls `end(io.vertx.rxjava.core.buffer.Buffer)`
      Specified by:
        `end` in interface `WriteStream<Buffer>`
      Parameters:
        `handler` -

    - #### endObservable

          @Deprecated
          public Observable<Void> endObservable()

      Deprecated. use `rxEnd(io.vertx.rxjava.core.buffer.Buffer)` instead
      Calls `end(io.vertx.rxjava.core.buffer.Buffer)`
      Returns:

    - #### rxEnd

          public Single<Void> rxEnd()

      Calls `end(io.vertx.rxjava.core.buffer.Buffer)`
      Returns:

    - #### close

          public void close()

      Close the NetSocket

    - #### close

          public void close(Handler<AsyncResult<Void>> handler)

      Close the NetSocket and notify the `handler` when the operation completes.
      Parameters:
        `handler` -

    - #### closeObservable

          @Deprecated
          public Observable<Void> closeObservable()

      Deprecated. use `rxClose()` instead
      Close the NetSocket and notify the `handler` when the operation completes.
      Returns:

    - #### rxClose

          public Single<Void> rxClose()

      Close the NetSocket and notify the `handler` when the operation completes.
      Returns:

    - #### closeHandler

          public NetSocket closeHandler(Handler<Void> handler)

      Set a handler that will be called when the NetSocket is closed
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### upgradeToSsl

          public NetSocket upgradeToSsl(Handler<Void> handler)

      Upgrade channel to use SSL/TLS. Be aware that for this to work SSL must be configured.
      Parameters:
        `handler` - the handler will be notified when it's upgraded
      Returns:
        a reference to this, so the API can be used fluently

    - #### upgradeToSsl

          public NetSocket upgradeToSsl(String serverName,
                                        Handler<Void> handler)

      Upgrade channel to use SSL/TLS. Be aware that for this to work SSL must be configured.
      Parameters:
        `serverName` - the server name
        `handler` - the handler will be notified when it's upgraded
      Returns:
        a reference to this, so the API can be used fluently

    - #### isSsl

          public boolean isSsl()

      Returns:
        true if this `NetSocket` is encrypted via SSL/TLS.

    - #### indicatedServerName

          public String indicatedServerName()

      Returns the SNI server name presented during the SSL handshake by the client.
      Returns:
        the indicated server name

    - #### sslSession

          public SSLSession sslSession()

      Returns:
        SSLSession associated with the underlying socket. Returns null if connection is not SSL.

    - #### newInstance

          public static NetSocket newInstance(NetSocket arg)

Copyright © 2021 Eclipse. All rights reserved.